/* Copyright 2005 Jetro Lauha - http://iki.fi/jetro/
 *
 * $Id: main.h,v 1.8 2005/04/19 18:17:55 tonic Exp $
 * $Revision: 1.8 $
 */

#ifndef MAIN_H_INCL
#define MAIN_H_INCL


#define VERSION_STR "1.0.1"

#include <list>
#include <map>
#include "SDL.h"
#include "SDL_opengl.h"
#include "types.h"
#include "errormsg.h"
#include "sound.h"
#include "App.h"
#include "UI.h"
#include "GameApp.h"
#include "ParticleSystem.h"
#include "State.h"
#include "Levels.h"
#include "GameState.h"
#include "TitleState.h"


#define WIDTH       640
#define HEIGHT      480


#undef PI
#define PI 3.1415926535897932


#endif // !MAIN_H_INCL
