/* Copyright 2005 Jetro Lauha - http://iki.fi/jetro/
 *
 * $Id: sound.h,v 1.3 2005/04/17 22:50:54 tonic Exp $
 * $Revision: 1.3 $
 */

#ifndef SOUND_H_INCLUDED
#define SOUND_H_INCLUDED


enum SOUND_TYPE_ENUM
{
    SOUND_GUN,
    SOUND_GUN_CLICK,
    SOUND_GUN_RELOAD,
    SOUND_CLING,
    SOUND_TYPE_COUNT
};

enum MUSIC_ORDER_ENUM
{
    MUSIC_MENU      = 0,
    MUSIC_INGAME    = 5,
    MUSIC_FAILURE   = 14,
    MUSIC_VICTORY   = 16
};


extern void initSound();
extern void deinitSound();
extern int playSoundEffect(int type, int forceChannel = -1);
extern void stopSoundEffect(int channel);
extern void stopAllSoundEffects();

extern void setSound(BOOL enabled);
extern void setMusic(BOOL enabled, INT order);

extern BOOL getSoundEnabled();
extern BOOL getMusicEnabled();

extern void setMusicVolume(float volume);


#endif // !SOUND_H_INCLUDED
